当前位置:首页 > 开发 > 编程语言 > 编程 > 正文

scrapy 安装

发表于: 2014-11-10   作者:cooler1217   来源:转载   浏览:
摘要: yum install libffi libffi-devel . 无法连接python https服务器 打开防火墙iptables 443端口 2. No package 'libffi' found - fatal error: ffi.h: No such file or directory yum install libffi libffi-devel 3. p
yum install libffi libffi-devel
. 无法连接python https服务器

打开防火墙iptables 443端口

2. No package 'libffi' found - fatal error: ffi.h: No such file or directory

yum install libffi libffi-devel

3. pip install lxml error:xslt-config: not found

yum install libxslt-devel libxml2-devel python-devel

4. No module named pkg_resources

curl https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py --insecure | python2.7

上述 --insecure参数可以避免curl进行SSL认证校验



另外CentOS6.2默认安装的Python2.6版本,可以把python2.7安装到/usr/local/下面:

./configure --prefix=/usr/local --enable-unicode=ucs4 --enable-shared LDFLAGS="-Wl,-rpath /usr/local/lib"

scrapy 安装

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号